Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Structures | Macros | Typedefs
parser.h File Reference
`#include "ruby.h"`
`#include "ruby/st.h"`

Go to the source code of this file.

## Data Structures
struct | JSON_ParserStruct

## Macros
#define | option_given_p(opts, key) RTEST(rb_funcall(opts, i_key_p, 1, key))
#define | UNI_REPLACEMENT_CHAR (UTF32)0x0000FFFD
#define | UNI_SUR_HIGH_START (UTF32)0xD800
#define | UNI_SUR_HIGH_END (UTF32)0xDBFF
#define | UNI_SUR_LOW_START (UTF32)0xDC00
#define | UNI_SUR_LOW_END (UTF32)0xDFFF
#define | GET_PARSER
#define | GET_PARSER_INIT
#define | MinusInfinity "-Infinity"
#define | EVIL 0x666
#define | NEW_TYPEDDATA_WRAPPER 1

## Typedefs
typedef unsigned long | UTF32
typedef unsigned short | UTF16
typedef unsigned char | UTF8
typedef struct JSON_ParserStruct | JSON_Parser

## Macro Definition Documentation

## ◆ EVIL

#define EVIL 0x666

Definition at line 56 of file parser.h.

## ◆ GET_PARSER

#define GET_PARSER

Value:
GET_PARSER_INIT; \
if (!json->Vsource) rb_raise(rb_eTypeError, "uninitialized instance")

Definition at line 48 of file parser.h.

## ◆ GET_PARSER_INIT

#define GET_PARSER_INIT

Value:
JSON_Parser *json; \
TypedData_Get_Struct(self, JSON_Parser, &JSON_Parser_type, json)

Definition at line 51 of file parser.h.

## ◆ MinusInfinity

#define MinusInfinity "-Infinity"

Definition at line 55 of file parser.h.

## ◆ NEW_TYPEDDATA_WRAPPER

#define NEW_TYPEDDATA_WRAPPER 1

Definition at line 85 of file parser.h.

## ◆ option_given_p

#define option_given_p | ( |  | opts,
|  |  | key
| ) |  | RTEST(rb_funcall(opts, i_key_p, 1, key))

Definition at line 16 of file parser.h.

## ◆ UNI_REPLACEMENT_CHAR

#define UNI_REPLACEMENT_CHAR (UTF32)0x0000FFFD

Definition at line 24 of file parser.h.

## ◆ UNI_SUR_HIGH_END

#define UNI_SUR_HIGH_END (UTF32)0xDBFF

Definition at line 26 of file parser.h.

## ◆ UNI_SUR_HIGH_START

#define UNI_SUR_HIGH_START (UTF32)0xD800

Definition at line 25 of file parser.h.

## ◆ UNI_SUR_LOW_END

#define UNI_SUR_LOW_END (UTF32)0xDFFF

Definition at line 28 of file parser.h.

## ◆ UNI_SUR_LOW_START

#define UNI_SUR_LOW_START (UTF32)0xDC00

Definition at line 27 of file parser.h.

## Typedef Documentation

## ◆ JSON_Parser

typedef struct JSON_ParserStruct JSON_Parser

## ◆ UTF16

typedef unsigned short UTF16

Definition at line 21 of file parser.h.

## ◆ UTF32

typedef unsigned long UTF32

Definition at line 20 of file parser.h.

## ◆ UTF8

typedef unsigned char UTF8

Definition at line 22 of file parser.h.

rb_raise
void rb_raise(VALUE exc, const char *fmt,...)
Definition: error.c:2669
rb_eTypeError
VALUE rb_eTypeError
Definition: error.c:922
GET_PARSER_INIT
#define GET_PARSER_INIT
Definition: parser.h:51
JSON_ParserStruct
Definition: parser.h:30